#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n, m; cin>>n>>m;

    vector<int> v(m);
    vector<int> v2(m);

    int sA=0;

    for(int i=0; i<m; i++){
        cin>>v[i];
    }

    int s = 0, s2=0, swI=0;
    int a; cin>>a;
    for(int i=1; i<m; i++){
        cin>>a;
        s+=a;
        s2+=a;

        if(s>sA){
            sA=0;
            for(int j=0; j<i; j++){
                sA+=v[j]*(i-j);
            }
        }

        if(s>=sA){
            v2[i]=sA;
            swI=i;
            s2=0;
        }
    }

    cout<<s2+v2[swI];

    return 0;
}